What is this?

This knowledgebase contains questions and answers about PRTG Network Monitor and network monitoring in general. You are invited to get involved by asking and answering questions!

Learn more

PRTG Network Monitor

Intuitive to Use. Easy to manage.
More than 500,000 users rely on Paessler PRTG every day. Find out how you can reduce cost, increase QoS and ease planning, as well.

Free Download

Top Tags


View all Tags

I want to install Python packages for the Python installation of PRTG. How can I do that?

Votes:

1

Your Vote:

Up

Down

I want to install additional Python packages that are not included in the Python installation by default. How can I do that?

packages prtg python

Created on Jun 1, 2022 7:51:08 AM by  Florian Weik [Paessler Support]



2 Replies

Accepted Answer

Votes:

1

Your Vote:

Up

Down

This article applies as of PRTG 22

How to install Python packages for the Python installation of PRTG

Follow the instructions below:

  1. Open a command line or PowerShell with administrator privileges (right-click, "Run as administrator")
  2. Change the directory to the \python subfolder of the PRTG program directory.

    32-bit installations:
    Command line:cd “C:\Program Files\PRTG Network Monitor\python\”
    PowerShell:cd 'C:\Program Files\PRTG Network Monitor\python\'
    64-bit installations:
    Command line:cd “C:\Program Files (x86)\PRTG Network Monitor\python\”
    PowerShell:cd 'C:\Program Files (x86)\PRTG Network Monitor\python\'
  3. Install the Python packages via the following command:
    .\python.exe -m pip install <package_name>
    For example:.\python.exe -m pip install requests

More

Created on Jun 1, 2022 7:53:04 AM by  Florian Weik [Paessler Support]

Last change on Sep 16, 2022 7:23:50 AM by  Florian Weik [Paessler Support]



Votes:

1

Your Vote:

Up

Down

For the benefit of anyone who finds this thread in future, be aware you need to be logged into Windows as THE Administrator account to install the required modules. Being logged in as AN administrator is insufficient.

Oh, and you also need to be on a release later than 22.2.77.2204:

PRTG Version 22.2.77.2204 broke compatibility with pip.exe install (to install Python packages). With this PRTG release we have removed support for this command to prevent unexpected errors. As of now the only supported way of installing a Python package to use Python Script Advanced sensor is python.exe -m pip install. Please also see our Knowledge Base article for more information about Python installation: https://kb.paessler.com/en/topic/90686.


- Greig.

Created on Sep 6, 2022 5:16:00 AM by  greiginsydney (30)



Please log in or register to enter your reply.


Disclaimer: The information in the Paessler Knowledge Base comes without warranty of any kind. Use at your own risk. Before applying any instructions please exercise proper system administrator housekeeping. You must make sure that a proper backup of all your data is available.